#include"PCH.h"
#include"BALL.h"

BALL::BALL(char *filename,int x,int y)
{
	gh = LoadGraph(filename);

	GetGraphSize(gh, &width, &height);

	this->x = x;
	this->y = y;

	dx = ballspeed;
	dy = ballspeed;

	endflag = true;

}

void BALL::Draw(){

	if (!endflag)
		DrawGraph(x - width / 2, y - height / 2, gh, TRUE);

}

void BALL::Move(){
	if (!endflag){
		x += dx;
		y += dy;


		if (x < width / 2){
			x = width / 2;
			dx *= -1;
		}
		if (x > 640 - width / 2){
			x = 640 - width / 2;
			dx *= -1;
		}
		if (y < height / 2){
			y = height / 2;
			dy *= -1;
		}
		if (y > 480 - height / 2){

			y = 480 - height / 2;
			dy *= -1;
		}
	}
}
bool BALL::ALL(){

	Move();

	Draw();

	return 0;

}

int BALL::GetX(){

	return x;
}

int BALL::GetY(){

	return y;
}
void BALL::SetX(int a){
	x = a;
}
void BALL::SetY(int b)
{
	y = b;
}
int BALL::GetWidth(){

	return width;
}

int BALL::GetHeight(){

	return height;
}

void BALL::SetDX(int a){

	dx = a;
}

void BALL::SetDY(int a){

	dy = a;
}

int BALL::GetDX(){

	return dx;
}

int BALL::GetDY(){

	return dy;
}

bool BALL::GetFlag(){

	return endflag;

}

void BALL::SetFlag(bool a){
	endflag = a;
}

