#include"PLAYER.h"
#include"PCH.h"

PLAYER::PLAYER(){

	gh = LoadGraph("摜/tama.bmp");
	GetGraphSize(gh, &width, &height);

	x = 200;
	y = 300;

	jumpcount = 0;
	g = 0.0;



	jumpflag = false;
	endflag = false;
}
void PLAYER::KeyGet(){

	if ((key[KEY_INPUT_W] == 1 || key[KEY_INPUT_SPACE]==1) && jumpflag == true){
		g = 0.0;
		jumpcount = 10;
		jumpflag = false;
	}
	if (key[KEY_INPUT_D] == 1){
		x += playerspeed;
	}
	if (key[KEY_INPUT_A] == 1){
		x -= playerspeed;
	}
	


	if (jumpcount>0){
		y -= 8 - (int)g;

	}


	if (y > 540 || key[KEY_INPUT_ESCAPE]==1){
		endflag = true;
	}
	if (y < 0){
		y = height / 2;
	}
	if (x < 0){
		x = width / 2;
	}
	if (x > 640){
		x = 640 - width / 2;
	}
	if (jumpflag){

		g = 0.0;

	}
	else{



		y += (int)g;
		g += 0.2;
	}


}
void PLAYER::Draw(){

	DrawGraph(x - width / 2, y - height / 2, gh, TRUE);

}
bool PLAYER::All(){
	KeyGet();
	Draw();
	if (jumpcount >= -10){
		--jumpcount;
	}
	return endflag;
}
int PLAYER::GetX(){
	return x;
}
int PLAYER::GetY(){
	return y;
}
int PLAYER::GetWidth(){
	return width;
}
int PLAYER::GetHeight(){
	return height;
}
void PLAYER::SetX(int a){
	x = a;
}
void PLAYER::SetY(int a){
	y = a;
}
bool PLAYER::GetFlag(){
	return jumpflag;
}
void PLAYER::SetFlag(bool a){
	jumpflag = a;
}
void PLAYER::SetEndFlag(bool a){
	endflag = a;
}
void PLAYER::SetG(double a){
	g = a;
}

PLAYER::~PLAYER(){

}