#include"PCH.h"
#include"BAR.h"


BAR::BAR()
{
	gh = LoadGraph("摜/sirosikaku.bmp");

	GetGraphSize(gh, &width, &height);

	y = 500;

	x = 280;

	memset(shot, 0, sizeof(shot));

	int temp = LoadGraph("摜/sikaku4.bmp");
	int w, h;
	GetGraphSize(temp, &w, &h);

	for (int i = 0; i < psnum; ++i){
		shot[i].flag = false;
		shot[i].gh = temp;
		shot[i].width = w;
		shot[i].height = h;

	}
	gaugex=100;
	count = 100;



}

void BAR::Draw(){

	


	for (int i = 0; i < psnum; ++i){
		if (shot[i].flag){
			DrawGraph(shot[i].x - shot[i].width / 2, shot[i].y - shot[i].height / 2, shot[i].gh, TRUE);
		}
	}

    

	DrawGraph(x - width / 2, y - height / 2, gh, TRUE);
	DrawBox(x - width / 2, y - height / 2, x + gaugex + 1 - width / 2, y + height / 2+1, GetColor(34, 177, 76), TRUE);
}

void BAR::KeyGet(){

	


	if (key[KEY_INPUT_Q] == 1){
		for (int i = 0; i < psnum; ++i){
			shot[i].flag = false;
		}
	}

	GetMousePoint(&x, &y);





	if (x<width / 2){
		x = width / 2;
	}

	if (x>640 - width / 2){
		x = 640 - width / 2;
	}

	if (y>480 - height / 2){
		y = 480 - height / 2;
	}

	if (y<height / 2){
		y = height / 2;
	}


}
void BAR::Shot(){
	mouse = GetMouseInput();
	if (mouse & MOUSE_INPUT_LEFT && count == 100){
		count = 0;
		gaugex = 0;
		for (int i = 0; i < psnum; ++i){
			if (shot[i].flag == false){
				shot[i].flag = true;
				shot[i].x = x;
				shot[i].y = y;
				break;
			}
		}
	}

	
}


void BAR::SetX(int a){
	x = a;
}
void BAR::SetY(int b){
	y = b;
}

int BAR::GetX(){

	return x;
}
int BAR::GetY(){

	return y;
}

int BAR::GetWidth(){

	return width;
}
int BAR::GetHeight(){

	return height;
}

int BAR::GetPsX(){
	for (int i = 0; i < psnum; ++i){
		return shot[i].x;
	}
}
int BAR::GetPsY(){
	for (int i = 0; i < psnum; ++i){
		return shot[i].y;
	}
}
int BAR::GetPsWidth(){

	return shot[0].width;

}
int BAR::GetPsHeight(){

	return shot[0].height;

}
bool BAR::GetPsPosition(int index, int *x, int *y){
	if (shot[index].flag){
		*x = shot[index].x;
		*y = shot[index].y;
		return true;
	}
	else{
		return false;
	}
}
void BAR::SetPsFlag(int index, bool a){
	shot[index].flag = a;
}
void BAR::SetCount(int a){
	count = a;
}
bool BAR::ALL(){

	KeyGet();
	Draw();
	Shot();
	if (count < 100){
		++count;
		}
	gaugex = count;

	return 0;
}

void BAR::Destroy(){

}

BAR::~BAR(){

	Destroy();
}