#include"PCH.h"
#include"CONTROL.h"




void CONTROL::HitCheckBallAndBlock(){

	if (!ball[0]->GetFlag()){

		blx = ball[0]->GetX();
		bly = ball[0]->GetY();


		for (int i = 0; i < blocknum; ++i){


			if (!block[i]->GetFlag() && i!=9 ){
				bkx = block[i]->GetX();
				bky = block[i]->GetY();
				bkwidth = block[i]->GetWidth();
				bkheight = block[i]->GetHeight();


				if (abs(bky - bly) < bkheight / 2 + blheight / 2 && abs(bkx - blx) < bkwidth / 2 + blwidth / 2){

					if (bly<bky + bkheight / 2 && bly>bky - bkheight / 2 &&
						bkx - bkwidth < blx + blwidth / 2 && blx + blwidth / 2 < bkx + bkwidth / 2){

						ball[0]->SetDX(ball[0]->GetDX()*-1);

						if (i == 13 || i== 12 || i<7 ){
							block[i]->SetFlag(true);
						}
					

						if (player->GetFlag()){
							player->SetFlag(false);
						}

					}
					if (bly<bky + bkheight / 2 && bly>bky - bkheight / 2 &&
						bkx - bkwidth / 2 < blx - blwidth / 2 && blx - blwidth / 2 < bkx + bkwidth / 2){

						ball[0]->SetDX(ball[0]->GetDX()*-1);
						if (i < 7 || i==13 || i==12){
							block[i]->SetFlag(true);
						}

						if (player->GetFlag()){
							player->SetFlag(false);
						}

					}

					if (bly + blheight / 2 < bky + bkheight / 2 && bly + blheight / 2 > bky - bkheight / 2 &&
						bkx - bkwidth / 2 < blx && blx < bkx + bkwidth / 2){

						ball[0]->SetDY(ball[0]->GetDY()*-1);
						if (i < 7 || i==13 || i==12){
							block[i]->SetFlag(true);
						}

						if (player->GetFlag()){
							player->SetFlag(false);
						}

					}
					if (bly - blheight / 2 < bky + bkheight / 2 && bly - blheight / 2 > bky - bkheight / 2 &&
						bkx - bkwidth / 2 < blx && blx < bkx + bkwidth / 2){

						ball[0]->SetDY(ball[0]->GetDY()*-1);
						if (i < 7 || i==13 || i==12){
							block[i]->SetFlag(true);
						}

						if (player->GetFlag()){
							player->SetFlag(false);
						}

					}
				}
			}
		}
	}
}



void CONTROL::HitCheckPsShotAndBall(){

	for (int k = 0; k < ballnum; ++k){
		if (!ball[k]->GetFlag()){

			blx = ball[k]->GetX();
			bly = ball[k]->GetY();

			for (int i = 0; i < psnum; ++i){
				if (bar->GetPsPosition(i, &psx, &psy)){

					if (abs(psy - bly) < blheight / 2 + psheight / 2 && abs(psx - blx) < blwidth / 2 + pswidth / 2){


						if (bly<psy + psheight / 2 && bly>psy - psheight / 2 &&
							psx - pswidth < blx + blwidth / 2 && blx + blwidth / 2 < psx + pswidth / 2){

							ball[k]->SetDX(ball[k]->GetDX()*-1);

							bar->SetPsFlag(i, false);

							if (player->GetFlag()){
								player->SetFlag(false);
							}

						}
						if (bly<psy + psheight / 2 && bly>psy - psheight / 2 &&
							psx - pswidth / 2 < blx - blwidth / 2 && blx - blwidth / 2 < psx + pswidth / 2){

							ball[k]->SetDX(ball[k]->GetDX()*-1);
							bar->SetPsFlag(i, false);

							if (player->GetFlag()){
								player->SetFlag(false);
							}

						}

						if (bly + blheight / 2 < psy + psheight / 2 && bly + blheight / 2 > psy - psheight / 2 &&
							psx - pswidth / 2 < blx && blx < psx + pswidth / 2){

							ball[k]->SetDY(ball[k]->GetDY()*-1);
							bar->SetPsFlag(i, false);

							if (player->GetFlag()){
								player->SetFlag(false);
							}

						}
						if (bly - blheight / 2 < psy + psheight / 2 && bly - blheight / 2 > psy - psheight / 2 &&
							psx - pswidth / 2 < blx && blx < psx + pswidth / 2){

							ball[k]->SetDY(ball[k]->GetDY()*-1);
							bar->SetPsFlag(i, false);

							if (player->GetFlag()){
								player->SetFlag(false);
							}

						}


					}

				}
			}
		}
	}
}

void CONTROL::HitCheckPlayerAndBlock(){
	plx = player->GetX();
	ply = player->GetY();


	for (int i = 0; i<blocknum; ++i){


		if (!block[i]->GetFlag()){
			bkx = block[i]->GetX();
			bky = block[i]->GetY();
			bkwidth = block[i]->GetWidth();
			bkheight = block[i]->GetHeight();

			if (abs(bky - ply) <= bkheight / 2 + plheight / 2 + 2 && abs(bkx - plx) <= bkwidth / 2 + plwidth / 2 + 2 ){


				if (ply + plheight / 2 < bly + blheight / 2 && ply + plheight / 2 > bly - blheight / 2 &&
					blx - blwidth / 2 < plx && plx < blx + blwidth / 2){

					
					if (i == 13 && ply + plheight / 2 > bky - bkheight / 2){
						player->SetY(bky + bkheight / 2 + plheight / 2 - 1);
					}
					else{
						if (ply + plheight / 2 < bky + bkheight / 2){
							player->SetY(bky - bkheight / 2 - plheight / 2 + 1);
							player->SetFlag(true);
						}
					}
					if (ply + plheight / 2 < bky - bkheight / 2 + 5 && i == 9){

						for (int j = 5; j < blocknum; ++j){

							block[j]->SetFlag(false);

						}

					}

				}
				else if (ply - plheight / 2 < bly + blheight / 2 && ply - plheight / 2 > bly - blheight / 2 &&
					blx - blwidth / 2 < plx && plx < blx + blwidth / 2){

					player->SetY(bly + blheight / 2 + plheight / 2 - 1);


				}
				else if (ply<bly + blheight / 2 && ply>bly - blheight / 2 &&
					blx - blwidth < plx + plwidth / 2 && plx + plwidth / 2 < blx + blwidth / 2){

					player->SetX(blx - blwidth / 2 - plwidth / 2);

				}
				else if (ply<bly + blheight / 2 && ply>bly - blheight / 2 &&
					blx - blwidth / 2 < plx - plwidth / 2 && plx - plwidth / 2 < blx + blwidth / 2){

					player->SetX(blx + blwidth / 2 + plwidth / 2);

				}
				else{
					player->SetFlag(false);
				}



				if (ply - plheight / 2 < bky + bkheight / 2 && ply - plheight / 2 > bky - bkheight / 2 &&
					bkx - bkwidth / 2 < plx + plwidth/2  && plx-plwidth/2 < bkx + bkwidth / 2 ){

					player->SetY(bky + bkheight / 2 + plheight / 2 - 1);


				}else if (ply + plheight / 2<bky + bkheight / 2 && ply + plheight / 2>bky - bkheight / 2 &&
					bkx - bkwidth / 2<plx + plwidth / 2 && plx - plwidth / 2<bkx + bkwidth / 2 && i != 10 && i != 11){

					
					if (i == 13 && ply + plheight/2 > bky - bkheight / 2){
						player->SetY(bky + bkheight / 2 + plheight / 2 - 1);
					}
					else{
						if (ply + plheight / 2 < bky + bkheight / 2){
							player->SetY(bky - bkheight / 2 - plheight / 2 + 1);
							player->SetFlag(true);
						}
					}
						if (ply + plheight / 2 < bky - bkheight / 2 + 5 && i == 9){
							
							for (int j = 5; j < blocknum; ++j){
								
									block[j]->SetFlag(false);
								
							}
							
						}
					
				}
				else{
					player->SetFlag(false);
				}
				
				

				

			}

		}

	}
}
void CONTROL::HitCheckPlayerAndPsShot(){

	for (int i = 0; i < psnum; ++i){
		if (bar->GetPsPosition(i, &psx, &psy)){

			if (abs(psy - ply) <= plheight / 2 + psheight / 2 + 5 && abs(psx - plx) <= plwidth / 2 + pswidth / 2+1){

				  if (ply + plheight / 2 < psy + psheight / 2 && ply + plheight / 2 > psy - psheight / 2 &&
					psx - pswidth / 2 < plx && plx < psx + pswidth / 2){

					player->SetY(psy - psheight / 2-plheight/2 +1);
					player->SetFlag(true);

				  }
				  else if (ply - plheight / 2 < psy + psheight / 2 && ply - plheight / 2 > psy - psheight / 2 &&
					  psx - pswidth / 2 < plx && plx < psx + pswidth / 2){

					  player->SetY(psy + psheight / 2+plheight/2-1);
					  

				  }else if(ply<psy + psheight / 2 && ply>psy - psheight / 2 &&
					 psx - pswidth < plx + plwidth / 2 && plx + plwidth / 2 < psx + pswidth / 2){

					player->SetX(psx - pswidth / 2-plwidth/2);

				}
				 else if (ply<psy + psheight / 2 && ply>psy - psheight / 2 &&
					 psx - pswidth / 2 < plx - plwidth / 2 && plx - plwidth / 2 < psx + pswidth / 2){

					 player->SetX(psx + pswidth / 2+plwidth/2);

				 }
				else{
					player->SetFlag(false);
				}
				
				
			}


		}

	}
}
void CONTROL::HitCheckPlayerAndGoal(){
	for (int i = 0; i < goalnum; ++i){
		if (!goal[i]->GetFlag()){
			gx = goal[i]->GetX();
			gy = goal[i]->GetY();


			if (abs(gy - ply) <= gheight / 2 + plheight / 2 + 2 && abs(gx - plx) <= gwidth / 2 + plwidth / 2 + 2){

				if (ply + plheight / 2 < gy + gheight / 2 && ply + plheight / 2 > gy - gheight / 2 &&
					gx - gwidth / 2 < plx && plx < gx + gwidth / 2){

					player->SetY(gy - gheight / 2 - plheight / 2 + 1);
					player->SetFlag(true);
					if (i == 2){
						player->SetEndFlag(true);
					}
					if (i == 1){
						goal[2]->SetFlag(false);
						goal[0]->SetFlag(true);
						for (int j = 0; j < blocknum; ++j){

							block[j]->SetFlag(true);

						}
						if (ball[1]->GetFlag()){
							for (int j = 1; j < ballnum; ++j){
								ball[j]->SetFlag(false);
								ball[j]->SetDX(ballhighspeed);
								ball[j]->SetDY(0);
							}

						}

						ball[0]->SetFlag(true);

					}
					if (i == 0){
						if (ply - plheight / 2 < gy - gheight / 2){
							for (int j = 0; j < 7; ++j){
								block[j]->SetFlag(true);
							}


							goal[1]->SetFlag(false);
							if (ball[0]->GetFlag()){
								ball[0]->SetFlag(false);

							}

							for (int i = 5; i < blocknum; ++i){
								if (i != 14){
									block[i]->SetFlag(false);
								}
							}
						}
					}

				}
				else if (ply - plheight / 2 < gy + gheight / 2 && ply - plheight / 2 > gy - gheight / 2 &&
					gx - gwidth / 2 < plx && plx < gx + gwidth / 2){

					player->SetY(gy + gheight / 2 + plheight / 2 - 1);


				}
				else if (ply<gy + gheight / 2 && ply>gy - gheight / 2 &&
					gx - gwidth < plx + plwidth / 2 && plx + plwidth / 2 < gx + gwidth / 2){

					player->SetX(gx - gwidth / 2 - plwidth / 2);

				}
				else if (ply<psy + gheight / 2 && ply>gy - gheight / 2 &&
					gx - gwidth / 2 < plx - plwidth / 2 && plx - plwidth / 2 < gx + gwidth / 2){

					player->SetX(gx + gwidth / 2 + plwidth / 2);

				}
				else{
					player->SetFlag(false);
				}
				
				
				

				
				


			}
		}
	}
}
void CONTROL::HitCheckBallAndGoal(){

	for (int k = 0; k < ballnum; ++k){
		if (!ball[k]->GetFlag()){

			blx = ball[k]->GetX();
			bly = ball[k]->GetY();

			for (int i = 0; i < goalnum; ++i){
				if (!goal[i]->GetFlag())
					gx = goal[i]->GetX();
				gy = goal[i]->GetY();
				if (abs(gy - bly) < gheight / 2 + blheight / 2 && abs(gx - blx) < gwidth / 2 + blwidth / 2){

					if (bly<gy + gheight / 2 && bly>gy - gheight / 2 &&
						gx - gwidth/2 < blx + blwidth / 2 && blx + blwidth / 2 < gx + gwidth / 2){

						ball[k]->SetDX(ball[k]->GetDX()*-1);



					}
					if (bly<gy + gheight / 2 && bly>gy - gheight / 2 &&
						gx - gwidth / 2 < blx - blwidth / 2 && blx - blwidth / 2 < gx + gwidth / 2){

						ball[k]->SetDX(ball[k]->GetDX()*-1);


					}

					if (bly + blheight / 2 < gy + gheight / 2 && bly + blheight / 2 > gy - gheight / 2 &&
						gx - gwidth / 2 < blx && blx < gx + gwidth / 2){

						ball[k]->SetDY(ball[k]->GetDY()*-1);

					}
					if (bly - blheight / 2 < gy + gheight / 2 && bly - blheight / 2 > gy - gheight / 2 &&
						gx - gwidth / 2 < blx && blx < gx + gwidth / 2){

						ball[k]->SetDY(ball[k]->GetDY()*-1);


					}
				}
			}
		}
	}
}
void CONTROL::PlayerReturn(){
	if (ply>480 && !goal[2]->GetFlag()){
		player->SetX(goal[1]->GetX());
		player->SetY(goal[1]->GetY()-100);
		player->SetG(0.0);

	}
}
void CONTROL::setumei(){
	if (goal[1]->GetFlag()){

		DrawString(100, 50, "ړ: EcD cA WvcW or SPACE", GetColor(255, 255, 255));
		DrawString(100, 100, "΃ubNo(5܂): NbN", GetColor(255, 255, 255));
		DrawString(100, 150, "΃ubNS: Q", GetColor(255, 255, 255));
		DrawString(100, 200, "X^[g̐ԃubNƐFubNɏƊDFubN", GetColor(255, 255, 255));
		DrawString(100, 250, "EACAPEōŏ̉ʂɖ߂܂B", GetColor(255, 255, 255));

	}
}
bool CONTROL::ALL(){
	bool back;


	back = player->All();
	for (int i = 0; i < goalnum; ++i){
		goal[i]->ALL();
	}

	bar->ALL();
	for (int i = 0; i<blocknum; ++i){
		block[i]->ALL();
	}
	for (int i = 0; i < ballnum; ++i){
		ball[i]->ALL();
	}


	HitCheckBallAndBlock();
	HitCheckPsShotAndBall();
	HitCheckPlayerAndBlock();
	HitCheckPlayerAndPsShot();
	HitCheckPlayerAndBlock();
	HitCheckBallAndGoal();
	HitCheckPlayerAndGoal();
	PlayerReturn();
	setumei();

	return back;
}
CONTROL::CONTROL(){
	bar = new BAR;
	
	player = new PLAYER;
	ball[0] = new BALL("摜/aoball.bmp", 80,300);
	for (int i = 1; i < ballnum; ++i){
		ball[i] = new BALL("摜/akaball.bmp", 50+50*(i%10), 30*(i-1));
	}
	for (int i = 0; i < blocknum; ++i){
		if (i < 5){
			block[i] = new BLOCK("摜/usumurashikaku.bmp", 100 + 100 * i, 440);
		}
		else if (i < 7){
			block[i] = new BLOCK("摜/usumurashikaku.bmp", 400 + 100 * (i - 5), 100+50*(i-5));
			block[i]->SetFlag(true);
		}
	    else if (i < 9){
			block[i] = new BLOCK("摜/sikaku,320,60.bmp", 160+320*(i-7), 440);
		}
		else if (i < 10){
			block[i] = new BLOCK("摜/sikaku11.bmp", 590, 240);
			block[i]->SetFlag(true);
		}
		else if (i < 12){
			block[i] = new BLOCK("摜/yazirusi,320,25.bmp", 0+320 * (i - 10), 240);
			block[i]->SetFlag(true);
		}
		else if (i < 13){
			block[i] = new BLOCK("摜/usumurashikaku.bmp", 300, 350);
			block[i]->SetFlag(true);
		}
		else if (i < 14){
			block[i] = new BLOCK("摜/sikaku12.bmp", 112, 25);
			block[i]->SetFlag(true);
		}

	}

	goal[0] = new GOAL("摜/sikaku8.bmp", 50, 370);
	goal[1] = new GOAL("摜/sikaku8.bmp", 50,87);
	goal[2] = new GOAL("摜/kishikaku.bmp", 590, 320);

	
	pswidth = bar->GetPsWidth();
	psheight = bar->GetPsHeight();

	bdwidth = bar->GetWidth();
	bdheight = bar->GetHeight();

	blwidth = ball[0]->GetWidth();
	blheight = ball[0]->GetHeight();

	plwidth = player->GetWidth();
	plheight = player->GetHeight();

	gwidth = goal[0]->GetWidth();
	gheight = goal[0]->GetHeight();

	


	pscount = 0;

	for (int i = 1; i < goalnum; ++i){
		goal[i]->SetFlag(true);
	}



}


int CONTROL::GetPsCount(){
	return pscount;
}
CONTROL::~CONTROL(){

	delete bar;
	for (int i = 0; i < ballnum; ++i){
		delete ball[i];
	}
	delete player;
	for (int i = 0; i < goalnum; ++i){
		delete goal[i];
	}
	for (int i = 0; i<blocknum; ++i){
		delete block[i];
	}

}